"use strict";
// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
// import css
require("../../../css/default-taskpane.css");
const taskpanes_1 = require("./taskpanes");
/*
    DefaultTaskpane is a higher-order component that
    takes a header and a taskpaneBbody, and displays it as a component.

    The modal has props
    - a header string to be shown at the top of the taskpane
    - a taskpaneBody, a react fragment which is the center segment of the taskpane
    - a setTaskpaneOpenOrClosed function to close the taskpane
*/
const DefaultTaskpane = (props) => {
    return (react_1.default.createElement("div", { className: 'default-taskpane-div' },
        react_1.default.createElement("div", { className: 'default-taskpane-header-div' },
            react_1.default.createElement("p", { className: 'default-taskpane-header-text' }, props.header),
            react_1.default.createElement("div", { className: 'default-taskpane-header-exit-button-div', onClick: () => props.setCurrOpenTaskpane({ type: taskpanes_1.TaskpaneType.NONE }) },
                react_1.default.createElement("svg", { width: "18", height: "18", viewBox: "0 0 13 13", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
                    react_1.default.createElement("line", { x1: "0.707107", y1: "1.29289", x2: "11.3136", y2: "11.8994", stroke: "#343434", strokeWidth: "2" }),
                    react_1.default.createElement("line", { x1: "0.7072", y1: "11.8995", x2: "11.3137", y2: "1.29297", stroke: "#343434", strokeWidth: "2" })))),
        react_1.default.createElement("div", { className: 'default-taskpane-body-div' }, props.taskpaneBody)));
};
exports.default = DefaultTaskpane;
//# sourceMappingURL=DefaultTaskpane.js.map